﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows;

namespace ContextMenuDynamicaly
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
			Loaded += new RoutedEventHandler(Page_Loaded);

		}

		void Page_Loaded(object sender, RoutedEventArgs e)
		{
			RadContextMenu context = new RadContextMenu();
			context.StaysOpen = true;
			//context.EventName = "MouseLeftButtonDown";
			RadMenuItem item1 = new RadMenuItem() { Header = "Copy" };
			RadMenuItem item2 = new RadMenuItem() { Header = "Paste" };
			item1.Loaded += new RoutedEventHandler(item1_Loaded);
			context.Items.Add(item1);
			context.Items.Add(item2);

			context.AddHandler(RadMenuItem.ClickEvent, new RoutedEventHandler(OnMenuItemClicked));  
			RadContextMenu.SetContextMenu(but, context);
		}

		void item1_Loaded(object sender, RoutedEventArgs e)
		{
			var menuItem = sender as RadMenuItem;
			menuItem.SubmenuItemTemplateKey = menuItem.SubmenuHeaderTemplateKey;
			menuItem.Template = menuItem.SubmenuHeaderTemplateKey;
			menuItem.ApplyTemplate();
		}
		private void OnMenuItemClicked(object sender, RoutedEventArgs args)
		{

			RadRoutedEventArgs e = args as RadRoutedEventArgs;
			RadMenuItem item = e.OriginalSource as RadMenuItem;

			if (item.Header != null)
			{
				if (item.Header.ToString() == "Copy")
				{
					RadMenuItem item3 = new RadMenuItem() { Header = "item1" };
					RadMenuItem item4 = new RadMenuItem() { Header = "item2" };
					item.Items.Add(item3);
					item.Items.Add(item4);

				}


			}
		}
	}
}
